var http = require('http');
var app = require('./app.js');
var startPath = process.cwd();
var apidoc = require('./api_doc.js');

var config = require(startPath + "/config/fse.js");

module.exports = function () {
    var myServer = http.createServer(function (req, res) {
        var myApp = app(startPath);
        myApp.init(req, res);
    });
    myServer.start = function () {
        myServer.listen(config.prot);
    }
    myServer.apiDoc = apidoc;
    return myServer;
}








