var fs = require('fs');
exports.build = function () {
    var Html = [];
    var apiPath = process.cwd() + "/api/";
    fs.exists(apiPath, function (exists) {
        if (!apiPath) {
            console.log(process.cwd() + "/api/" + " -->目录不存在！");
            return;
        }
        Html.push("<html><head><meta charset=\"utf-8\"/></head><body style=\"color:white;background:black;\">");
        lsDir(process.cwd() + "/api/");
        Html.push("<body /></html>");


    });

    var dirCount = 0;
    var compCount = 0;
    function lsDir(path) {
        dirCount++;
        fs.readdir(path, function (erro, files) {
            if (erro) {
                throw erro;
            }
            for (var i = 0; i < files.length; i++) {
                var stat = fs.lstatSync(path + "/" + files[i]);
                if (stat.isDirectory()) {
                    lsDir(path + "/" + files[i]);
                }
            }

            for (var i = 0; i < files.length; i++) {
                var stat = fs.lstatSync(path + "/" + files[i]);
                if (stat.isDirectory()) {
                    continue;
                }
                else {
                    var obj = require(path + "/" + files[i]);
                    for (var key in obj) {

                        if (typeof (obj[key]) == 'function') {

                            var explain = obj[key + "_explain"] || {};
                            explain.params = explain.params || [];
                            explain.effect = explain.effect || '';
                            explain.return = explain.return || '';
                            explain.auth = explain.auth || '';
                            explain.last = explain.last || '';
                            explain.remark = explain.remark || '';
                            if (typeof (explain.return) == 'object') {
                                explain.return = JSON.stringify(explain.return);
                            }

                            var address = path + "/" + files[i];
                            address = address.substring(0, address.lastIndexOf('.'));

                            Html.push("<h3 style=\"margin:10px;color:green;\">地址：" + address.replace(apiPath, '') + "." + key + "</h3>");
                            Html.push("<h3 style=\"margin:10px;\">功能：" + explain.effect + "</h3>");
                            Html.push("<h3 style=\"margin:10px;\">参数：</h3>");
                            explain.params.forEach(function (item) {
                                Html.push("<h3 style=\"margin:10px;margin-left:50px;color:red;\">" + item.name + "：" + item.remark + "</h3>");
                            });
                            Html.push("<h3 style=\"margin:10px;\">返回：" + explain.return + "</h3>");
                            Html.push("<h3 style=\"margin:10px;\">作者：" + explain.auth + "</h3>");
                            Html.push("<h3 style=\"margin:10px;\">备注：" + explain.remark + "</h3>");
                            Html.push("<h3 style=\"margin:10px;\">-----------------------------------------------------------------------------------------------------------</h3>");

                        }
                    }
                }
            }
            compCount++;

            if (compCount == dirCount) {
                fs.writeFile(process.cwd() + "/api.html", Html.join(' '), function (erro) {
                    if (erro) {
                        throw erro;
                    }
                });
            }
        });
    }
}